brofist-minimal

A minimal test reporter for Brofist.

Please use hifive-minimal instead
Last updated 7 years ago by killdream .
MIT · Repository · Original npm · Tarball · package.json
$ cnpm install brofist-minimal 
SYNC missed versions from official npm registry.

brofist-minimal

A minimal test reporter for Brofist. For humans.

Example

Write your tests:

var spec = require('brofist')

spec('Thou', function(shall) { 
  shall('pass!', function() { })
})

Run the specs through the minimal reporter:

spec.run(require('brofist-minimal')())

And get back a minimal output:

Success. 1/1 tests.

Installing

Just grab it from NPM:

$ npm install brofist-minimal

Licence

MIT.

Current Tags

  • 0.2.0                                ...           latest (7 years ago)

2 Versions

  • 0.2.0 [deprecated]           ...           7 years ago
  • 0.1.1 [deprecated]           ...           7 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 0
Last Day 0
Last Week 0
Last Month 1
Dependencies (1)
Dev Dependencies (0)
None
Dependents (2)

Copyright 2014 - 2016 © taobao.org |